Subject: Offline Message from Steven frayne: Please get back to me I already left an e
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 21 Jul 2022 13:08:55 -0000

From: Steven frayne <[email-masked]>
Phone: 7199394799
Location: New York, United States
URL: https://swagtron.com/
Department: SwagTron

Please get back to me I already left an email but I’m not sure what to do I believe a wire on my eb15 became lose or something because it’s not starting at all, it was starting and when I turn the wheel left it cuts off but not it won’t turn at all, I’ve had the bike all
But three days now I’m missing work because of it 

----
Zopim
https://www.zopim.com